logs
Create logs query
Requires scopes: traces:read
POST
/
api
/
logs
/
query
Create logs query
curl --request POST \
--url https://evalgate.com/api/logs/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sort": [
{
"direction": "asc",
"field": "duration_ms"
}
],
"limit": 123,
"raw": false,
"query": "<string>",
"filters": [
{
"operator": "exists",
"field": "status",
"value": "<string>"
}
],
"cursor": "<string>",
"freeText": "<string>"
}
'import requests
url = "https://evalgate.com/api/logs/query"
payload = {
"sort": [
{
"direction": "asc",
"field": "duration_ms"
}
],
"limit": 123,
"raw": False,
"query": "<string>",
"filters": [
{
"operator": "exists",
"field": "status",
"value": "<string>"
}
],
"cursor": "<string>",
"freeText": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sort: [{direction: 'asc', field: 'duration_ms'}],
limit: 123,
raw: false,
query: '<string>',
filters: [{operator: 'exists', field: 'status', value: '<string>'}],
cursor: '<string>',
freeText: '<string>'
})
};
fetch('https://evalgate.com/api/logs/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"id": 123,
"traceId": "<string>",
"name": "<string>",
"status": "<string>",
"environment": "<string>",
"source": "<string>",
"durationMs": 123,
"score": 123,
"createdAt": "<string>",
"inputPreview": true,
"outputPreview": true,
"providers": [
"<string>"
],
"models": [
"<string>"
],
"backend": [
"<string>"
],
"modelCallCount": 123,
"toolCount": 123,
"toolErrorCount": 123,
"toolNames": [
"<string>"
],
"totalTokens": 123,
"totalCostUsd": "<string>",
"maxLatencyMs": 123,
"alertStatus": "<string>",
"reviewStatus": "<string>",
"failureCategory": "<string>",
"provenanceState": "<string>",
"evidenceCount": 123,
"tags": [
"<string>"
],
"retentionState": "redacted"
}
],
"availability": {
"backend": "authoritative_database",
"bounded": true,
"searchIndexRequired": false,
"pageSizeCap": 123
},
"canonicalQuery": {
"version": 1,
"filters": [
{
"field": "status",
"operator": "exists",
"value": "<string>"
}
],
"sort": [
{
"field": "duration_ms",
"direction": "asc"
}
],
"freeText": "<string>"
},
"canonicalQueryText": "<string>",
"queryHash": "<string>",
"nextCursor": "<string>",
"limits": {
"pageSize": 123,
"maxFilters": 123,
"raw": true
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I
Create logs query
